| Home | Libraries | People | FAQ | More

## Function template icontains

boost::algorithm::icontains — 'Contains' predicate ( case insensitive )

## Synopsis

    template<typename Collection1T, typename Collection2T>
      bool icontains(const Collection1T & Input, const Collection2T & Test,
                     const std::locale & Loc = std::locale());

## Description

This predicate holds when the test container is contained in the Input. Elements are compared case insensitively.

Parameters

Input

  An input sequence

Loc

  A locale used for case insensitive comparison

Test

  A test sequence

Returns: The result of the test
Notes: This function provides the strong exception-safety guarantee

| Copyright © 2002-2004 Pavol Droba